Package org.apache.struts2.util

# Class DomHelper.StartHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.apache.struts2.util.DomHelper.StartHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Enclosing class:
  DomHelper

public static class DomHelper.StartHandler extends DefaultHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartHandler(ContentHandler next, Map<String,String> dtdMappings)`
  Create a filter that is chained to another handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] arg0, int arg1, int arg2)`
  `void`
  `endDocument()`
  `void`
  `endElement(String arg0, String arg1, String arg2)`
  `void`
  `endPrefixMapping(String arg0)`
  `void`
  `error(SAXParseException exception)`
  `void`
  `fatalError(SAXParseException exception)`
  `void`
  `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
  `void`
  `processingInstruction(String arg0, String arg1)`
  `InputSource`
  `resolveEntity(String publicId, String systemId)`
  `void`
  `setDocumentLocator(Locator locator)`
  `void`
  `skippedEntity(String arg0)`
  `void`
  `startDocument()`
  `void`
  `startElement(String uri, String loc, String raw, Attributes attrs)`
  `void`
  `startPrefixMapping(String arg0, String arg1)`
  `void`
  `warning(SAXParseException exception)`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `notationDecl, unparsedEntityDecl`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### StartHandler

    public StartHandler(ContentHandler next, Map<String,String> dtdMappings)
    Create a filter that is chained to another handler.
    Parameters:
      `next` - the next handler in the chain.
      `dtdMappings` - map of DTD mappings

- ## Method Details

  - ### setDocumentLocator

    public void setDocumentLocator(Locator locator)
    Specified by:
      `setDocumentLocator` in interface `ContentHandler`
    Overrides:
      `setDocumentLocator` in class `DefaultHandler`

  - ### startDocument

    public void startDocument() throws SAXException
    Specified by:
      `startDocument` in interface `ContentHandler`
    Overrides:
      `startDocument` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endDocument

    public void endDocument() throws SAXException
    Specified by:
      `endDocument` in interface `ContentHandler`
    Overrides:
      `endDocument` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### startElement

    public void startElement(String uri, String loc, String raw, Attributes attrs) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Overrides:
      `startElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endElement

    public void endElement(String arg0, String arg1, String arg2) throws SAXException
    Specified by:
      `endElement` in interface `ContentHandler`
    Overrides:
      `endElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### startPrefixMapping

    public void startPrefixMapping(String arg0, String arg1) throws SAXException
    Specified by:
      `startPrefixMapping` in interface `ContentHandler`
    Overrides:
      `startPrefixMapping` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endPrefixMapping

    public void endPrefixMapping(String arg0) throws SAXException
    Specified by:
      `endPrefixMapping` in interface `ContentHandler`
    Overrides:
      `endPrefixMapping` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### characters

    public void characters(char[] arg0, int arg1, int arg2) throws SAXException
    Specified by:
      `characters` in interface `ContentHandler`
    Overrides:
      `characters` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### ignorableWhitespace

    public void ignorableWhitespace(char[] arg0, int arg1, int arg2) throws SAXException
    Specified by:
      `ignorableWhitespace` in interface `ContentHandler`
    Overrides:
      `ignorableWhitespace` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### processingInstruction

    public void processingInstruction(String arg0, String arg1) throws SAXException
    Specified by:
      `processingInstruction` in interface `ContentHandler`
    Overrides:
      `processingInstruction` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### skippedEntity

    public void skippedEntity(String arg0) throws SAXException
    Specified by:
      `skippedEntity` in interface `ContentHandler`
    Overrides:
      `skippedEntity` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### resolveEntity

    public InputSource resolveEntity(String publicId, String systemId)
    Specified by:
      `resolveEntity` in interface `EntityResolver`
    Overrides:
      `resolveEntity` in class `DefaultHandler`

  - ### warning

    public void warning(SAXParseException exception)
    Specified by:
      `warning` in interface `ErrorHandler`
    Overrides:
      `warning` in class `DefaultHandler`

  - ### error

    public void error(SAXParseException exception) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Overrides:
      `error` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### fatalError

    public void fatalError(SAXParseException exception) throws SAXException
    Specified by:
      `fatalError` in interface `ErrorHandler`
    Overrides:
      `fatalError` in class `DefaultHandler`
    Throws:
      `SAXException`